# StatStageChangeCallback | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Type Alias StatStageChangeCallback

StatStageChangeCallback: (
target: default | null,
changed: BattleStat [],
relativeChanges: number[],
) => void

#### Type declaration

- - (target: default | null, changed: BattleStat [], relativeChanges: number[]): void

  - #### Parameters

    - target: default | null
    - changed: BattleStat []
    - relativeChanges: number[]

    #### Returns void

- Defined in src/phases/stat-stage-change-phase.ts:27